# class GlobalID::Locator::BlockLocator

### Public Class Methods

new(block) click to toggle source

    # File lib/global_id/locator.rb, line 174
    def initialize(block)
      @locator = block
    end

### Public Instance Methods

locate(gid) click to toggle source

    # File lib/global_id/locator.rb, line 178
    def locate(gid)
      @locator.call(gid)
    end

locate_many(gids, options = {}) click to toggle source

    # File lib/global_id/locator.rb, line 182
    def locate_many(gids, options = {})
      gids.map { |gid| locate(gid) }
    end